#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 kan-extensions
version:              5.2.7
visibility:           public
id:                   kan-extensions-5.2.7-F8Rf6TJpeLMHYAhCdp62ad
key:                  kan-extensions-5.2.7-F8Rf6TJpeLMHYAhCdp62ad
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  2356f30fbe01d8ccdea8f20d0c894176
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.7
library-dirs:         /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.7
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kan-extensions
hs-libraries:         HSkan-extensions-5.2.7-F8Rf6TJpeLMHYAhCdp62ad
depends:
    adjunctions-4.4.3-ENtJFH4rcGqJoKNuEi6nwR array-0.5.4.0
    base-4.17.2.1 comonad-5.0.9-9xjKvPyIFa3z6kb3iLImI containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    distributive-0.6.2.1-EftPvaxxltk3GbMdYU389v
    free-5.2-O6Fl4ZQfrLF1HdcYmkQsm
    invariant-0.6.4-8fqxSgUtZeFK4crV1RgECF mtl-2.2.2
    profunctors-5.6.2-EsgLQtFnlIg5jr0U9yDwZT
    semigroupoids-6.0.1-4MzfMO8TUru5bIlkk6eiWh
    tagged-0.8.9-KMS3sfDasKWItFZcxfaN6C transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

